#(eatdirt) LTS releases have the second digit >=3: like 2020.3.*,
#etc.. Preview versions have the second digit <=2. I guess we
#should try to target a LTS release for a Mageia release
#

#define         gitsnap  rc4
#define         rel   	 2

Summary:	Basic tools for Simulation
Name:		simgear
Version:	2024.1.1
Release:	%mkrel 3
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://www.flightgear.org/
Source0:	https://gitlab.com/flightgear/simgear/%{name}-%{version}.tar.gz

Patch0000:	simgear-2.6.0-fedora-check-for-%n-in-format-string.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	libgomp-devel
BuildRequires:	jpeg-devel
BuildRequires:	udns-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openthreads)
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libavcodec)

#(eatdirt) let's try again, agressive vectorization were hidden in
#previous versions
###ExclusiveArch:  x86_64

%description
All the basic routines required for the flight simulator as well as for
building scenery. Needed for FlightGear, for example.

%package devel
Summary:	Headers/misc for developing programs that will use %{name}
Group:		Development/C++
Requires:	simgear = %{version}-%{release}
Provides:	SimGear-devel = %{version}-%{release}
Obsoletes:	%{_lib}simgear-devel < 3.2.0-2

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}, for example FlightGear.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{optflags} -fopenmp"
%cmake	-DSIMGEAR_SHARED:BOOL=ON \
	-DSYSTEM_UDNS:BOOL=ON \
	-DSYSTEM_EXPAT:BOOL=ON \
	-DBUILD_TESTING=OFF \
	-DENABLE_TESTS:BOOL=OFF \
	-DENABLE_VIDEO_RECORD=ON \
	-DENABLE_GDAL=ON \
	-DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
%ifnarch %{arm} %{ix86}
	-DENABLE_SIMD=ON \
%else
	-DENABLE_SIMD=OFF \
%endif
	-DCMAKE_BUILD_TYPE="Release"
%cmake_build

%install
%cmake_install

#fix an include path
sed -i "s+\${_IMPORT_PREFIX}/include\;++" %{buildroot}%{_libdir}/cmake/SimGear/SimGearTargets.cmake

%files
%doc COPYING AUTHORS NEWS
%{_libdir}/libSimGearCore.so.%{version}
%{_libdir}/libSimGearScene.so.%{version}

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/SimGear/
%{_libdir}/libSimGearCore.so
%{_libdir}/libSimGearScene.so


%changelog
* Tue Mar 11 2025 eatdirt <eatdirt> 2024.1.1-3.mga10
+ Revision: 2162741
- Update to stable release 2024.1.1

* Wed Feb 05 2025 daviddavid <daviddavid> 2024.1.1-2.rc4.2.mga10
+ Revision: 2145309
- rebuild for new gdal 3.10.1

* Wed Jan 22 2025 eatdirt <eatdirt> 2024.1.1-2.rc4.1.mga10
+ Revision: 2140635
- Update to release candidate 4

* Thu Jan 09 2025 eatdirt <eatdirt> 2024.1.1-2.git20250109.1.mga10
+ Revision: 2136834
- Update to latest git snapshot

* Sun Dec 08 2024 daviddavid <daviddavid> 2024.1.1-2.git20241127.2.mga10
+ Revision: 2122648
- rebuild for new ffmpeg 7.1

* Thu Nov 28 2024 eatdirt <eatdirt> 2024.1.1-2.git20241127.1.mga10
+ Revision: 2119694
- Update to latest git snapshot

* Sat Nov 02 2024 eatdirt <eatdirt> 2024.1.1-2.git20241102.1.mga10
+ Revision: 2112177
- Update to latest git (fix log flooding)

* Tue Oct 29 2024 eatdirt <eatdirt> 2024.1.1-2.git20241029.1.mga10
+ Revision: 2111750
- Fix missing include
- Update to latest git snapshot

* Tue Sep 24 2024 eatdirt <eatdirt> 2024.1.1-1.mga10
+ Revision: 2101074
- Update to version 2024.1.1

* Thu Jul 04 2024 eatdirt <eatdirt> 2020.4.0-2.git20240703.1.mga10
+ Revision: 2079672
- Update to latest git snapshot
+ daviddavid <daviddavid>
- rebuild for GDAL 3.9.0

* Wed Feb 28 2024 eatdirt <eatdirt> 2020.4.0-1.mga10
+ Revision: 2045569
- Upgrade to devel version 2020.4.0

* Fri Jan 05 2024 daviddavid <daviddavid> 2020.3.18-3.mga10
+ Revision: 2027641
- rebuild for new gdal

* Wed Nov 01 2023 daviddavid <daviddavid> 2020.3.18-2.mga10
+ Revision: 2003432
- rebuild for new gdal 3.7.2

* Wed Mar 22 2023 eatdirt <eatdirt> 2020.3.18-1.mga9
+ Revision: 1950027
- Update to bug fix release 2020.3.18

* Tue Jan 03 2023 daviddavid <daviddavid> 2020.3.17-3.mga9
+ Revision: 1929533
- rebuild for boost 1.81.0
- add patch from gentoo to fix build with boost 1.81

* Tue Dec 06 2022 eatdirt <eatdirt> 2020.3.17-2.mga9
+ Revision: 1918738
- Rebuild for new gdal

* Fri Nov 25 2022 eatdirt <eatdirt> 2020.3.17-1.mga9
+ Revision: 1911174
- Update to version 2020.3.17

* Thu Apr 14 2022 eatdirt <eatdirt> 2020.3.13-1.mga9
+ Revision: 1849896
- Update to version 2020.3.13
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 eatdirt <eatdirt> 2020.3.12-1.mga9
+ Revision: 1784553
- Upgrade to version 2020.3.12

* Sat Dec 11 2021 eatdirt <eatdirt> 2020.3.11-2.mga9
+ Revision: 1761467
- Rebuild for new gdal

* Thu Aug 19 2021 eatdirt <eatdirt> 2020.3.11-1.mga9
+ Revision: 1741945
- Upgrade to version 2020.3.11

* Sat Jun 12 2021 eatdirt <eatdirt> 2020.3.9-1.mga9
+ Revision: 1730515
- Upgrade to version 2020.3.9

* Thu May 06 2021 daviddavid <daviddavid> 2020.3.8-4.mga9
+ Revision: 1721874
- rebuild for new gdal 3.3.0

* Wed Mar 31 2021 eatdirt <eatdirt> 2020.3.8-3.mga9
+ Revision: 1712071
- Update patch for gdal

* Tue Mar 30 2021 eatdirt <eatdirt> 2020.3.8-2.mga9
+ Revision: 1712062
- Ensure no -03 flags is appended

* Tue Mar 30 2021 eatdirt <eatdirt> 2020.3.8-1.mga9
+ Revision: 1712024
- Upgrade to version 2020.3.8

* Thu Mar 25 2021 daviddavid <daviddavid> 2020.3.7-2.mga9
+ Revision: 1710158
- rebuild for new gdal 3.2.2

* Thu Mar 18 2021 eatdirt <eatdirt> 2020.3.7-1.mga9
+ Revision: 1704473
- Upgrade to version 2020.3.7

* Wed Jan 20 2021 eatdirt <eatdirt> 2020.3.6-1.mga8
+ Revision: 1672701
- Upgrade to bug fix release 2020.3.6

* Tue Jan 05 2021 daviddavid <daviddavid> 2020.3.5-2.mga8
+ Revision: 1669004
- add patch tox build with boost 1.75.0

* Thu Dec 17 2020 eatdirt <eatdirt> 2020.3.5-1.mga8
+ Revision: 1660461
- Upgrade to version 2020.3.5

* Thu Dec 03 2020 eatdirt <eatdirt> 2020.3.4-1.mga8
+ Revision: 1652245
- Upgrade to version 2020.3.4

* Tue Nov 17 2020 eatdirt <eatdirt> 2020.3.3-1.mga8
+ Revision: 1646817
- Upgrade to version 2020.3.3

* Tue Nov 10 2020 eatdirt <eatdirt> 2020.3.2-1.mga8
+ Revision: 1644371
- Upgrade to version 2020.3.2

* Fri Oct 30 2020 eatdirt <eatdirt> 2020.3.1-1.mga8
+ Revision: 1640646
- Upgrade to lts 2020.3.1

* Thu Jul 16 2020 daviddavid <daviddavid> 2020.1.3-2.mga8
+ Revision: 1606471
- rebuild for new gdal 3.1.2

* Wed Jul 01 2020 eatdirt <eatdirt> 2020.1.3-1.mga8
+ Revision: 1600988
- Upgrade to version 2020.1.3

* Thu May 28 2020 eatdirt <eatdirt> 2020.1.2-2.mga8
+ Revision: 1588454
- Add info and force SIMD off for arm and ix86

* Thu May 28 2020 eatdirt <eatdirt> 2020.1.2-1.mga8
+ Revision: 1588259
- Upgrade to preview version 2020.1.2

* Sun Mar 15 2020 daviddavid <daviddavid> 2019.1.2-3.mga8
+ Revision: 1556529
- add gentoo patch to fix build with gdal >= 3.0.3
- rebuild for new gdal 3.0.4

* Mon Feb 24 2020 zezinho <zezinho> 2019.1.2-2.mga8
+ Revision: 1550147
- build against OSG 3.4
- enable system udns
- rebuild against latest osg
+ shlomif <shlomif>
- fix the cmake build (now g++ error)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Sep 30 2019 zezinho <zezinho> 2019.1.2-0.mga8
+ Revision: 1448371
- new version 2019.1.2 in rc

* Thu Apr 25 2019 joequant <joequant> 2018.3.2-2.mga7
+ Revision: 1395223
- rebuild with new libraries

* Mon Mar 04 2019 zezinho <zezinho> 2018.3.2-1.mga7
+ Revision: 1371282
- new bugfix version 2018.3.2

* Sat Dec 15 2018 eatdirt <eatdirt> 2018.3.1-1.mga7
+ Revision: 1341492
- Upgrade to version 2018.3.1

* Sat Oct 13 2018 zezinho <zezinho> 2018.2.2-1.mga7
+ Revision: 1320047
- enable release build - eanble OpenMP - enable Gdal
- update to version 2018.2.2
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ wally <wally>
- sync patches with Fedora (to fix build on aarch64)
+ akien <akien>
- Version 2018.2.1
- Rebuild for OpenSceneGraph 3.6.0

* Mon Apr 23 2018 zezinho <zezinho> 2018.1.1-1.mga7
+ Revision: 1221731
- new version 2018.1.1

* Sat Jan 13 2018 wally <wally> 2017.3.1-2.mga7
+ Revision: 1192845
- rebuild for new openscenegraph

* Wed Oct 04 2017 zezinho <zezinho> 2017.3.1-1.mga7
+ Revision: 1168728
- new version

* Sun May 28 2017 zezinho <zezinho> 2017.2.1-1.mga6
+ Revision: 1105342
- new version

* Wed Apr 26 2017 zezinho <zezinho> 2017.1.3-1.mga6
+ Revision: 1097447
- new bugfix version

* Tue Mar 21 2017 zezinho <zezinho> 2017.1.2-1.mga6
+ Revision: 1093924
- new version

* Sun Jan 08 2017 zezinho <zezinho> 2016.4.4-1.mga6
+ Revision: 1080652
- new version

* Wed Dec 14 2016 zezinho <zezinho> 2016.4.3-1.mga6
+ Revision: 1075202
- new version 2016.4.3

* Mon Nov 28 2016 zezinho <zezinho> 2016.4.2-2.mga6
+ Revision: 1070606
- fix include path
- remove upstreamed patch
- remove upstreamed patch
- new version

* Tue Oct 04 2016 zezinho <zezinho> 2016.3.1-1.mga6
+ Revision: 1058759
- new version

* Thu May 26 2016 akien <akien> 2016.2.1-1.mga6
+ Revision: 1018632
- Version 2016.2.1

* Sat May 07 2016 zezinho <zezinho> 2016.1.2-1.mga6
+ Revision: 1010205
- new bugfix version 2016.1.2

* Tue May 03 2016 zezinho <zezinho> 2016.1.1-2.mga6
+ Revision: 1009043
- enable curl

* Sat Apr 23 2016 akien <akien> 2016.1.1-1.mga6
+ Revision: 1005706
- Version 2016.1.1

* Sat Jan 09 2016 wally <wally> 3.4.0-4.mga6
+ Revision: 920813
- rebuild for new openscenegraph
+ daviddavid <daviddavid>
- rebuild for new openscenegraph 3.4.0

* Wed Aug 26 2015 cjw <cjw> 3.4.0-2.mga6
+ Revision: 869740
- rebuild with gcc 5

* Wed Feb 18 2015 akien <akien> 3.4.0-1.mga5
+ Revision: 815550
- Version 3.4.0

* Mon Dec 15 2014 akien <akien> 3.2.0-3.mga5
+ Revision: 803229
- Rebuild for patched OpenSceneGraph (fix in an inline method, so rebuild necessary to pick it up)

* Sun Dec 14 2014 akien <akien> 3.2.0-2.mga5
+ Revision: 803100
- Rebuild for new OpenThreads
- Build against system expat

* Sun Oct 26 2014 akien <akien> 3.2.0-1.mga5
+ Revision: 793521
- Version 3.2.0

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-3.mga5
+ Revision: 748611
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-2.mga5
+ Revision: 689158
- Mageia 5 Mass Rebuild

* Wed Mar 12 2014 dams <dams> 3.0.0-1.mga5
+ Revision: 602661
- new version 3.0.0

* Sat Dec 14 2013 zezinho <zezinho> 2.12.1-1.mga4
+ Revision: 556751
- new version 2.12.1

* Sat Oct 19 2013 umeabot <umeabot> 2.12.0-2.mga4
+ Revision: 536573
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 fwang <fwang> 2.12.0-1.mga4
+ Revision: 484691
- cleanup spec
- new version 2.12.0
- rebuild for new boost

* Thu Apr 11 2013 malo <malo> 2.10.0-2.mga3
+ Revision: 409497
- rebuild for boost 1.53

* Mon Feb 18 2013 zezinho <zezinho> 2.10.0-1.mga3
+ Revision: 399219
- new version
- remove .a files
- bring back .so files
- enable svn for terrasync
- enable JPEG factory
- disable tests as OpenSUSE
+ fwang <fwang>
- br jpeg

* Mon Jan 14 2013 umeabot <umeabot> 2.8.0-2.mga3
+ Revision: 382033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 zezinho <zezinho> 2.8.0-1.mga3
+ Revision: 288161
- new version

* Tue Jun 19 2012 zezinho <zezinho> 2.6.0-2.mga3
+ Revision: 262002
- apply fedora patch to fix CVE-2012-2090 CVE-2012-2091

* Fri Feb 24 2012 zezinho <zezinho> 2.6.0-1.mga2
+ Revision: 214163
- new version
+ fwang <fwang>
- new version 2.4.0 final

* Tue Jul 19 2011 fwang <fwang> 2.4.0-0.1.mga2
+ Revision: 126247
- use autotools for building static libs

* Tue Jul 19 2011 fwang <fwang> 2.4.0-0.mga2
+ Revision: 126215
- br boost
- new version 2.4.0 (snapshot for now)
- rebuild for new osg

* Thu Jun 16 2011 fwang <fwang> 2.0.0-4.mga2
+ Revision: 108066
- rebuild for new osg

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 2.0.0-3.mga1
+ Revision: 89195
- rebuild against new libgdal-1.8.0

* Sat Apr 16 2011 ennael <ennael> 2.0.0-2.mga1
+ Revision: 86780
- clean spec file
- imported package simgear

